Subject: linux-mips Vs kernel.org

From: Florian DELIZY <[email-masked]>
Date: Tue, 27 Sep 2005 09:52:01 +0200

Hello,

We currently working with the 2.6.12 kernel, and wondering which from 
linux-mips or kernel.org version we should use,
in a more general manner, what are the differences between linux-mips and 
kernel.org kernel source code, is one the
mirror of the other, or is there one that frequently merge with the other 
?

Regards

Florian Delizy

---

From: Jan-Benedict Glaw <[email-masked]>
Date: Tue, 27 Sep 2005 10:12:31 +0200

> mirror of the other, or is there one that frequently merge with the other 

Use the linux-mips.org tree to do any work.

To find out about the differences, just download a kernel.org kernel
and run a 'diff -Nurp' against what you find on linux-mips.org.

Up to now, merges happened every now-and-then, but not on a very
regular basis. However, there's hope for more timely merges since Ralf
is on the way to move the souce base over to GIT, which should ease
further merges...

MfG, JBG

-- 
Jan-Benedict Glaw       [email-masked]    . +49-172-7608481             _ O _
"Eine Freie Meinung in  einem Freien Kopf    | Gegen Zensur | Gegen Krieg  _ _ O
 für einen Freien Staat voll Freier Bürger"  | im Internet! |   im Irak!   O O O
ret = do_actions((curr | FREE_SPEECH) & ~(NEW_COPYRIGHT_LAW | DRM | TCPA));

---

From: Ralf Baechle <[email-masked]>
Date: Tue, 27 Sep 2005 11:39:22 +0200

> mirror of the other, or is there one that frequently merge with the other 

At this stage the kernel.org tree is quite unusable for MIPS.

As others have already said, I'm about to dump CVS from linux-mips.org.
You can still access the CVS archive, just don't expect any updates to
it anymore.

  Ralf

---

From: Yoichi Yuasa <[email-masked]>
Date: Wed, 28 Sep 2005 00:54:32 +0900

Hi,

On Tue, 27 Sep 2005 11:39:22 +0200

> At this stage the kernel.org tree is quite unusable for MIPS.

I have no problem kernel.org GIT with VR41xx.

Yoichi